Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037310
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. PlatformminorN/A2017-11-16 13:402017-12-01 11:53
ReportergorkaionView Statuspublic 
Assigned Togorkaion 
PrioritynormalResolutionfixedFixed in Version
StatusresolvedFix in branchFixed in SCM revision0247affd1bb7
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037310: Amazon RDS - Postgresql compatibility. Remove superuser role.

DescriptionCurrently it is not possible to build Openbravo using Amazon RDS with PostgreSQL as database.

It is required to remove superuser role from Openbravo database user.
Steps To ReproduceN/A
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0100791)
caristu (developer)
2017-11-28 17:17
edited on: 2017-11-28 17:22

Added changes into dbsm-main repository[1]. See changesets 08ee84691713:caaf4ec353b2


[1] https://code.openbravo.com/erp/devel/dbsm-main [^]

(0100793)
hgbot (developer)
2017-11-28 17:36

Repository: erp/devel/pi
Changeset: bc62b428fd985c1545ce8e90818221e95d1961cd
Author: Gorka Ion Damián <gorkaion.damian <at> openbravo.com>
Date: Tue Nov 28 17:36:39 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/bc62b428fd985c1545ce8e90818221e95d1961cd [^]

Related to issue 37310. New dbsourcemanager version to support rds.

To properly support Amazon RDS it is required to create a prescript that it is
executed with systemAdmin user. This new version of dbms enables that ability.

---
M src-db/database/lib/dbsourcemanager.jar
---
(0100886)
hgbot (developer)
2017-12-01 11:32

Repository: erp/devel/pi
Changeset: 0247affd1bb7dbd9a6e0e265ee6aefd45d0a1211
Author: Gorka Ion Damián <gorkaion.damian <at> openbravo.com>
Date: Fri Dec 01 11:32:33 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/0247affd1bb7dbd9a6e0e265ee6aefd45d0a1211 [^]

Fixed issue 37310. Add support for Amazon PG RDS database.

Changes required to support Amazon PG RDS.

*bbdd.user is no longer superuser
*new prescript added in postgresql to execute with bbdd.systemUser to create
requried pg extensions that need superuser privileges to execute.
*uuid_generate_v4 function is now created by creating the full uuid-ossp
instead of just the function.

---
M src-db/database/build-create.xml
M src-db/database/build.xml
M src-db/database/model/excludeFilter.xml
M src-db/database/model/postscript-PostgreSql.sql
M src-db/database/model/prescript-PostgreSql.sql
A src-db/database/model/prescript-systemuser-PostgreSql.sql
---

- Issue History
Date Modified Username Field Change
2017-11-16 13:40 gorkaion New Issue
2017-11-16 13:40 gorkaion Assigned To => gorkaion
2017-11-16 13:40 gorkaion Modules => Core
2017-11-16 13:40 gorkaion Triggers an Emergency Pack => No
2017-11-28 17:17 caristu Note Added: 0100791
2017-11-28 17:18 caristu Note Edited: 0100791 View Revisions
2017-11-28 17:22 caristu Note Edited: 0100791 View Revisions
2017-11-28 17:36 hgbot Checkin
2017-11-28 17:36 hgbot Note Added: 0100793
2017-12-01 11:32 hgbot Checkin
2017-12-01 11:32 hgbot Note Added: 0100886
2017-12-01 11:32 hgbot Status new => resolved
2017-12-01 11:32 hgbot Resolution open => fixed
2017-12-01 11:32 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/0247affd1bb7dbd9a6e0e265ee6aefd45d0a1211 [^]
2017-12-01 11:53 gorkaion Review Assigned To => alostale


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker